GHNPurger
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.postprocessing.remove

## Class GHNPurger

- java.lang.Object
- - org.gcube.informationsystem.registry.impl.postprocessing.remove.GHNPurger

- All Implemented Interfaces:
    Purger<GCUBEHostingNode>

      public class GHNPurger
      extends java.lang.Object
      implements Purger<GCUBEHostingNode>

  Purger for GHN resources
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GHNPurger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the type of resource managed by the purgerE
    `java.util.Set<java.lang.String>` | `purge(java.lang.String ghnid, GCUBEScope scope)` Purges the RESOURCE
    `void` | `unregisterHostedRIs(RegistryFactory service, java.lang.String ghnid)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GHNPurger

          public GHNPurger()

  - ### Method Detail

    - #### unregisterHostedRIs

          public void unregisterHostedRIs(RegistryFactory service,
                                 java.lang.String ghnid)
                                   throws java.lang.Exception

      Deprecated.
      Unregisters all the RIs hosted on the gHN
      Throws:
        `java.rmi.RemoteException`
        `java.lang.Exception`

    - #### purge

          public java.util.Set<java.lang.String> purge(java.lang.String ghnid,
                                              GCUBEScope scope)
                                                throws java.lang.Exception

      Description copied from interface: `Purger`
      Purges the RESOURCE
      Specified by:
        `purge` in interface `Purger<GCUBEHostingNode>`
      Parameters:
        `ghnid` - the resource identifier
        `scope` - the operational scope
      Returns:
        the identifiers of the deleted resources
      Throws:
        `java.lang.Exception` - if the purging operation fails

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Purger`
      Gets the type of resource managed by the purgerE
      Specified by:
        `getName` in interface `Purger<GCUBEHostingNode>`
      Returns:
        the type